com.amazonaws.codegen

## Class CodeGenerator

- java.lang.Object
- - com.amazonaws.codegen.CodeGenerator

    public class CodeGenerator
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CodeGenerator(C2jModels models, String outputDirectory, String codeGenBinDirectory, String fileNamePrefix)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `execute()` load ServiceModel.
`static File` `getModelDirectory(String outputDirectory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CodeGenerator

    public CodeGenerator(C2jModels models,
                         String outputDirectory,
                         String codeGenBinDirectory,
                         String fileNamePrefix)

### Method Detail

#### execute

    public void execute()

load ServiceModel. load code gen configuration from individual client. load Waiters. generate intermediate model. generate code.

#### getModelDirectory

    public static File getModelDirectory(String outputDirectory)